/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License") +  you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.openmeetings.web.pages.install;

import org.apache.openmeetings.web.app.Application;
import org.apache.wicket.markup.html.WebMarkupContainer;
import org.apache.wicket.markup.html.link.Link;
import org.apache.wicket.markup.html.panel.Panel;

public class CongratulationsPanel extends Panel {
	private static final long serialVersionUID = 1L;
	private final WebMarkupContainer restartPanel = new WebMarkupContainer("restartPanel");

	public CongratulationsPanel(String id) {
		super(id);

		add(new Link<Void>("url") {
			private static final long serialVersionUID = 1L;

			@Override
			public void onClick() {
				setResponsePage(Application.get().getHomePage());
			}
		});
		add(restartPanel.setOutputMarkupId(true).setVisible(false));
	}

	public void show(boolean showRestart) {
		setVisible(true);
		restartPanel.setVisible(showRestart);
	}
}
